Subject: Re: linux-next: manual merge of the akpm-current tree with the arm tree

From: Mark Salter <[email-masked]>
Date: Thu, 24 Apr 2014 10:27:17 -0400

On Thu, 2014-04-24 at 15:25 +1000, Stephen Rothwell wrote:
> Hi Andrew,
> 
> Today's linux-next merge of the akpm-current tree got a conflict in
> arch/arm/include/asm/fixmap.h between commits 4221e2e6b316 ("ARM: 8031/1:
> fixmap: remove FIX_KMAP_BEGIN and FIX_KMAP_END") and a05e54c103b0 ("ARM:
> 8031/2: change fixmap mapping region to support 32 CPUs") from the arm
> tree and commit a665f864487d ("arm: use generic fixmap.h") from the
> akpm-current tree.
> 
> I fixed it up (I have just dropped the akpm-current tree patch for now)
> and can carry the fix as necessary (no action is required).

I'm okay with just dropping it from Andrew's tree. We never got an ack
for it. Now that the generic fixmap and early_ioremap patches are in
Linus' tree, it would probably be best to fold the arm fixmap change
into a new patch set adding early_ioremap to arm.

--Mark